{% extends '_base.html' %}
{% load static %}

{% block title %} Mailing list {% endblock title %}

{% block content %}
</div>
</div>
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            {{mail_list.name}}
        </p>
        <p class="subtitle">
            {{mail_list.email}}
        </p>
    </div>
</section>

<div class="column is-two-thirds is-offset-2">
    <div class="section">
        <div class="columns">
            <div class="column is-6 is-offset-3">
                {% if user.is_superuser %}
                <a href="{% url 'ml_add_guest' ml_id=mail_list.id %}"><button class="button is-link is-small">Add Guest</button></a>
                {% endif %}
                <br><br>
                {% if mail_list.guest_user.all %}
                <table class="table">
                    <thead>
                        <tr>
                            <th>Guest Name</th>
                            <th>Guest Email</th>
                            {% if user.is_superuser %}
                            <th> Action </th>
                            {% endif %}
                        </tr>
                    </thead>
                    <tbody>
                        {% for ml_user in mail_list.guest_user.all %}
                        <tr>
                            <td> {{ml_user.user}} </td>
                            <td> {{ml_user.email}}</td>
                            {% if user.is_superuser %}
                            <td><a href="{% url 'ml_delete_guest' ml_id=mail_list.id id=ml_user.id %}"><button class="button is-link is-small">Remove</button></a>                            </td>
                            {% endif %}
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
                {% endif %}
                <table class="table">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Email</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for ml_user in mail_list.users.all %}
                        <tr>
                            {% if user.is_superuser %}
                            <td> <a href={% url 'employee_detail' empid=ml_user.emp_id%}> {{ml_user.first_name}} {{ml_user.last_name}}</a></td>
                            {% else %}
                            <td> {{ml_user.first_name}} {{ml_user.last_name}} </td>
                            {% endif %}
                            <td> {{ml_user.email}}</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

{% endblock %}